Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class C3P0PooledConnection

    java.lang.Object
      com.mchange.v2.c3p0.impl.C3P0PooledConnection

All Implemented Interfaces:
  com.mchange.v1.util.ClosableResource, javax.sql.PooledConnection

    public final class C3P0PooledConnection

extends java.lang.Object

Constructor Summary
`C3P0PooledConnection(java.sql.Connection con, ConnectionTester connectionTester, boolean autoCommitOnClose, boolean forceIgnoreUnresolvedTransactions, ConnectionCustomizer cc, java.lang.String pdsIdt)`

Method Summary
`void` | `addConnectionEventListener(javax.sql.ConnectionEventListener listener)`
`void` | `close()`
`void` | `closeAll()`
`java.sql.Connection` | `getConnection()`
`int` | `getConnectionStatus()`
`void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C3P0PooledConnection

    public C3P0PooledConnection(java.sql.Connection con,
                                ConnectionTester connectionTester,
                                boolean autoCommitOnClose,
                                boolean forceIgnoreUnresolvedTransactions,
                                ConnectionCustomizer cc,
                                java.lang.String pdsIdt)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### closeAll

    public void closeAll()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener listener)

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener listener)

### getConnectionStatus

    public int getConnectionStatus()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD